@import "../_variables.scss";

html,body,#root {
    font-family: sans-serif;
    width: 100%;
    height: 100%;
  }
  body {
    margin: 0;
    text-align: left;
  }

.root{
    flex-grow: 1;
    z-index: 1;
    width: inherit;
    height: inherit;
}

.search{
    position: relative;
    border-radius: 10px;
    margin-left: 0;
    width: 20%;
    float: right;
    margin: 30px;
    padding: .5rem;
    background-color: $white;
    border-radius: 15px;
    box-shadow:$box-shadow;
    &:hover{
      background-color: $gray-200;
    }
    .searchIcon{
      display: block;
      position: absolute;
      svg{
        color:grayscale($blue);
      }
    }
    .searchIcon+div{
      width: 80%;
      margin-left: 20%;
    }
  };

  .paper{
    box-shadow: $box-shadow;
    background-color: $white;
    padding: 2%;
    border-radius: 5px;
    width: 70%;
    margin: 1em 4em 3em 4em;
    float: right;
    button{
      margin:2%;
    }
  }

  .category{
    height: -webkit-fill-available;
    width: 80%;
    float: right;
    .category-books{
      margin-top: 2em;
      .bookcard{
        width: 100% !important;
      }
    }
  }

  main{
    height: fit-content;
  }

  /*======== Responsive ========*/
  @media(max-width: 959px) and (min-width: 100px){
    .paper{
      width: 80% ;
    }
    .category{
        width: 90%
  }}
